### Method

# Adw TabBar get_extra_drag_preferred_action

since: 1.4

#### Declaration [src]

    GdkDragAction
    adw_tab_bar_get_extra_drag_preferred_action (
      AdwTabBar* self
    )

#### Description [src]

Gets the current drag action during a drop.

This method should only be used from inside a `AdwTabBar::extra-drag-drop` handler.

The action will be a subset of what was originally passed to `adw_tab_bar_setup_extra_drop_target()`.

Available since: 1.4

Gets property | `Adw.TabBar:extra-drag-preferred-action`

#### Return value

Type: `GdkDragAction`

The drag action of the current drop.